ALTER TABLE QUESTION
ADD ID_QUERY_QUESTION NUMBER;

ALTER TABLE QUESTION
ADD CONSTRAINT QUESTION_ID_QUERY_QUE_FK
FOREIGN KEY (ID_QUERY_QUESTION) REFERENCES QUERY(ID_QUERY);

DROP VIEW V_SECTION_QUESTION;

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, SQ.VISIBLE, SQ.REDIRECT_URL, SQ.DISABLE_AFTER_INSERT, SQ.PORTAL, SQ.DISABLE_EMPTY_SELECTION, SQ.SPLIT_CAPTION, SQ.CHANGE_TO_UPPERCASE,
    SQ.WIDTH, SQ.HEIGHT,
  QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, Q.TYPE AS QUESTIONNAIRE_TYPE, Q.USER_LOG AS QUESTIONNAIRE_USER_LOG, 
  SC.NAME AS SECTION_NAME, QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, 
  QU.SOURCE_TABLE_ACTIVE_COLUMN AS QUESTION_SRC_TBL_ACTIVE_COLUMN, QU.SOURCE_TABLE_ORDER_COLUMN AS QUESTION_SRC_TBL_ORDER_COLUMN,
  QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE, QU.STRING_VALUE AS QUESTION_STRING_VALUE, QU.NUMBER_VALUE AS QUESTION_NUMBER_VALUE, QU.DATE_VALUE AS QUESTION_DATE_VALUE, QU.TAG_ID AS QUESTION_TAG_ID, 
  QU.BUTTON_ACTION_TYPE AS QUESTION_BUTTON_ACTION_TYPE, QU.ID_QUERY_QUESTION AS QUESTION_ID_QUERY_QUESTION, QU.MAP_TABLE_NAME AS QUESTION_MAP_TABLE_NAME
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

DROP VIEW V_KUPCI_CREDIT_CARDS;

CREATE OR REPLACE VIEW V_KUPCI_CREDIT_CARDS  AS (
SELECT KC.ID_KUPCI_CC, KC.ID_KUPCA, KC.ID_PLOVILA, KC.ID_CARDS, KC.CARD_ISSUER, KC.CARD_NUMBER, KC.CARD_NUMBER_ORG, KC.SEC_CODE, KC.CARD_OWNER, KC.CARD_EXPIRE, KC.PREFERRED, KC.ACTIVE, 
KC.TEMPORARY, KC.NNLOCATION_ID, KC.ID_CREDIT_CARD_TOKEN, KC.DATE_CREATED, KC.DATE_CHANGED, KC.USER_CREATED, KC.USER_CHANGED,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, P.IME AS PLOVILA_IME, N.OPIS AS CARDS_OPIS, N.INTERNI_OPIS AS CARDS_INTERNI_OPIS, 
CCT.TOKEN AS CREDIT_CARD_TOKEN, CCT.EXPIRATION_DATE AS TOKEN_EXPIRATION_DATE, CI.OPIS AS CARD_ISSUER_OPIS, NL.OPIS AS NNLOCATION_OPIS
FROM KUPCI_CREDIT_CARDS KC
LEFT OUTER JOIN KUPCI K ON K.ID = KC.ID_KUPCA
LEFT OUTER JOIN PLOVILA P ON P.ID = KC.ID_PLOVILA
LEFT OUTER JOIN NNCARDS N ON N.ID_CARDS = KC.ID_CARDS
LEFT OUTER JOIN CREDIT_CARD_TOKEN CCT ON CCT.ID = KC.ID_CREDIT_CARD_TOKEN
LEFT OUTER JOIN NNCARD_ISSUER CI ON CI.SIFRA =  KC.CARD_ISSUER
LEFT OUTER JOIN NNLOCATION NL ON NL.ID = KC.NNLOCATION_ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2014, SYSDATE, '5.5', 1934, 'Question query')
;
